[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [Subclipse-dev] svnClientAdapter releases

From: Mark Phippard <markp_at_softlanding.com>
Date: 2006-01-27 16:00:33 CET

Margus Všli <margus@webmedia.ee> wrote on 01/27/2006 03:23:33 AM:

> The svn client adapter last release (0.9.23) is 15 months old and
> the files at downloads section of the web page are marked "Obsolete".
>
> Meanwhile, the Subclipse 1.0 release candidates include svnClientAdapter
> that does ISVNCLientAdapter#merge (which is an addition compared to
> 0.9.23 API).
>
> Are there any plans to release svnClientAdapter or should I use JavaHL
> instead?
> Is the client adapter package in the Subclipse release always from the
> trunk (subclipse/trunk/svnClientAdapter/) and how should third party
> apps declare dependencies on svnClientAdapter, point to some Subclipse
> version?

We decided a while ago to stop producing svnClientAdapter releases.
Subclipse and svnAnt both take care of including and tagging an
appropriate version of svnClientAdapter in their releases. We decided
that any other products that were using svnClientAdapter are technical in
nature and there is no reason that cannot pull and use the version of
svnClientAdapter that they want. I would assume most people would just
want to grab and build trunk.

Mark

_____________________________________________________________________________
Scanned for SoftLanding Systems, Inc. and SoftLanding Europe Plc by IBM Email Security Management Services powered by MessageLabs.
_____________________________________________________________________________

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subclipse.tigris.org
For additional commands, e-mail: dev-help@subclipse.tigris.org
Received on Fri Jan 27 16:10:25 2006

This is an archived mail posted to the Subclipse Dev mailing list.